varying vec2 		texcoord;	
uniform sampler2D 	tex;
varying vec2 		depth;			
varying float		distance;

void main()
{
	gl_FragDepth = (depth.x/depth.y)*0.5 + 0.5;
	gl_FragColor.a = texture2D(tex,texcoord.st).a*distance;
}
